/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.osgi.web.servlet.jsp.compiler.internal;

import com.liferay.petra.reflect.ReflectionUtil;

import java.io.IOException;
import java.io.InputStream;

import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;

/**
 * @author Shuyang Zhou
 */
public class BundleJavaFileObject extends BaseJavaFileObject {

	public BundleJavaFileObject(String className, URL url) {
		super(Kind.CLASS, className);

		_url = url;
	}

	@Override
	public InputStream openInputStream() throws IOException {
		return _url.openStream();
	}

	@Override
	public URI toUri() {
		try {
			return _url.toURI();
		}
		catch (URISyntaxException urise) {
			return ReflectionUtil.throwException(urise);
		}
	}

	private final URL _url;

}