/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.osgi.web.servlet.jsp.compiler.internal;

import java.net.URI;

/**
 * @author Shuyang Zhou
 */
public class StringJavaFileObject extends BaseJavaFileObject {

	public StringJavaFileObject(String simpleName, String content) {
		super(Kind.SOURCE, simpleName);

		_content = content;
	}

	@Override
	public CharSequence getCharContent(boolean ignoreEncodingErrors) {
		return _content;
	}

	@Override
	public boolean isNameCompatible(String simpleName, Kind kind) {
		if (className.equals(simpleName) && (Kind.SOURCE == kind)) {
			return true;
		}

		return false;
	}

	@Override
	public URI toUri() {
		return URI.create("string:///".concat(className));
	}

	private final String _content;

}